Anonymous Login
2019-08-20 15:41 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000337v4.0 Release (Planning)Core Infrastructurepublic2016-12-29 10:10
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Product Version 
Target Version4.0Fixed in Version 
Summary0000337: Replace PEAR/Date
DescriptionThe current PEAR Date library is out of date and throwing E_DEPRECATED warnings based on using the system timezone by default.
Additional InformationThis should be replaced with core PHP functionality but unfortunately, various pieces of this functionality came online throughout the PHP 5.1, 5.2.x and 5.3 releases... so it's not as easy as you might expect. :(
TagsNo tags attached.
Attached Files

-Relationships
related to 0000221closedcaseydk v2.0 Release (Closed) PHP5.3 Deprecation Testing 
parent of 0000340closedcaseydk v2.0 Release (Closed) The date class throws logs 
+Relationships

-Notes

~0001416

caseydk (administrator)

I believe PHP 5.3 has all the required functionality but a pre-5.3 version may also have it.

For v3.0 in June 2011, we'll update our minimum PHP version again. Since I *suspect* that we won't be able to update to 5.3, please explore a 5.2.x version that makes sense and what code we'd be able to drop/replace as a result.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-19 14:32 caseydk New Issue
2009-12-19 14:32 caseydk Relationship added child of 0000221
2009-12-19 14:41 caseydk Relationship deleted child of 0000221
2009-12-19 14:41 caseydk Relationship added related to 0000221
2009-12-19 14:43 caseydk Category Core Infrastructure => Supporting Libraries
2009-12-23 05:19 caseydk Relationship added parent of 0000340
2010-01-31 07:51 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-06-04 11:10 caseydk Project v2.0 Release (Closed) => Pending Requests
2010-06-11 05:59 caseydk Project Pending Requests => v2.1 Release (Closed)
2010-09-04 22:26 caseydk Project v2.1 Release (Closed) => v2.4 Release (Closed)
2010-12-08 12:32 caseydk Note Added: 0001416
2010-12-08 12:33 caseydk Status new => assigned
2010-12-08 12:33 caseydk Assigned To => trevormorse
2011-01-08 09:38 caseydk Project v2.4 Release (Closed) => v4.0 Release (Planning)
2014-01-21 17:57 caseydk Target Version => 4.0
2014-03-30 22:13 caseydk Category General => Core Infrastructure
2014-08-16 22:36 caseydk Assigned To trevormorse => caseydk
2014-11-22 21:59 caseydk Project v4.0 Release (Planning) => Pending Requests
2016-12-29 10:10 caseydk Project Pending Requests => v4.0 Release (Planning)
+Issue History